export declare const code = "<script lang=\"ts\">\nimport { Select, element } from '../../components/select/select.js';\nimport { offset } from '@floating-ui/core';\nimport { createFloatingActions } from 'svelte-floating-ui';\n\nconst [floatingRef, floatingContent] = createFloatingActions({\n  strategy: 'absolute',\n  placement: 'bottom-start',\n  middleware: [offset(4)],\n});\n\nconst select = new Select([\n  { label: '\u26AB\uFE0F Backlog' },\n  { label: '\uD83D\uDD35 In progress' },\n  { label: '\uD83D\uDFE2 Done' }]);\nconst {\n  state: { isOpen, selected, filteredOptions },\n  elements: { trigger, content, options },\n} = select;\n</script>\n\n<div class=\"w-fit\">\n<button\n  use:floatingRef\n  use:element={trigger}\n  class=\"border {$isOpen\n    ? 'border-slate-500'\n    : 'border-slate-300'} flex items-center gap-2 focus:outline-none focus:border-sky-600 hover:border hover:border-slate-400 rounded-md px-2 py-1\"\n>\n  {#if $selected.length === 0}\n    <span class=\"text-slate-500\">Nothing selected</span>\n  {:else}\n    <span class=\"text-slate-900\">{$selected[0].label}</span>\n  {/if}\n</button>\n\n{#if $isOpen}\n  <div\n    class=\"flex flex-col divide-y bg-white border border-slate-300 rounded shadow-md pb-1\"\n    use:floatingContent\n    use:element={content}\n  >\n    <div class=\"flex flex-col\">\n      {#each $filteredOptions as option}\n        <button\n          use:element={[options, option.id]}\n          class=\"flex px-3 py-1 {option.active ? 'bg-slate-100 text-slate-950' : 'text-slate-500'}\"\n        >\n          {option.label}\n        </button>\n      {/each}\n    </div>\n  </div>\n{/if}\n</div>\n";
